/*
  cxproc - Configurable Xml PROCessor

  Copyright (C) 2006,2007,2008 by Alexander Tenbusch

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License 
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

/* 
   common header

*/

/*--------------------------------------------------------------------

  numerischer Typ 'index_t'

*/

typedef int index_t;

#ifdef __cplusplus
#define BOOL_T bool
#define FALSE  false
#define TRUE   true
#else
#define BOOL_T int
#define FALSE  (0)
#define TRUE   (!FALSE)
#endif

/*  */
typedef enum { command, cgi, fuse } runmode_t;

extern runmode_t runmode;

#define ERROR_INDEX -1

#define BUFFER_LENGTH ((int)(4 * 1024))

extern const char *empty_str;

extern char *xsl_prefix;	/* global variable for finding XSL files */

#ifdef _MSC_VER
#define S_ISDIR(M) (M & _S_IFDIR)
#define S_ISREG(M) (M & _S_IFREG)
#else
#endif


/* global TODOs */

/*!\bug xmlFree*() is difficult because use of pointers to DOM elements 

* code analysis of xsltproc.c and xmllint.c

*/
