/*
  cxproc - Configurable Xml PROCessor

  Copyright (C) 2006,2007,2008 by Alexander Tenbusch

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License 
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*/

#include "calend.h"

extern long int
get_day_abs(int year, int mon, int mday, int week, int wday);

extern xmlChar *
sscanf_datum(xmlChar *str_gcal, int *ptr_r_y, int *ptr_r_m, int *ptr_r_d, int *ptr_r_w, int *ptr_r_wday);

extern xmlChar *
assemble_next_date(xmlChar *str_gcal);

extern xmlNodePtr
next_element_cal(const xmlNodePtr node_i, int distance);

extern xmlDocPtr
process_calendar(xmlNodePtr node_make_calendar);

extern xmlNodePtr
get_node_of_week(xmlNodePtr node_parent, xmlChar *ptr_y, xmlChar *ptr_woy, const xmlChar *ptr_dow);

extern BOOL_T
insert_node_cal_col(xmlNodePtr node, xmlChar *col_id, xmlNodePtr node_insert);

extern BOOL_T
insert_node_cal(xmlNodePtr node_parent, xmlChar *col_id, unsigned char *cal_str, xmlNodePtr node_insert);

extern BOOL_T
make_calendar(xmlNodePtr node_parent, int year);

extern BOOL_T
copy_todo_to_calendar(xmlNodePtr node_parent, xmlChar *col_id, xmlNodePtr a_node);

extern BOOL_T
insert_input_cal(xmlNodePtr node_parent, xmlChar *col_id, FILE *in);

extern BOOL_T
iscal(xmlChar c);
