/*
  cxproc - Configurable Xml PROCessor

  Copyright (C) 2006,2007,2008 by Alexander Tenbusch

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License 
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

extern xmlChar *
get_parent_str(xmlNodePtr node_n);

extern BOOL_T
dump_dom(char *name_file, xmlNodePtr node, int depth);

extern void
dump_dom_recursive(FILE *out, xmlNodePtr node, int depth);

extern index_t 
number_of(xmlNode * a_node, const xmlChar *element_name, index_t n);

extern index_t
number_of_child(xmlNode * a_node, const xmlChar *element_name);

extern xmlNodePtr
child_element(xmlNode * a_node, const xmlChar *element_name);

extern xmlChar * 
child_content(xmlNode * a_node);

extern xmlChar * 
attribute_str(xmlNode * a_node, const xmlChar *attribute_name);

extern xmlNodePtr
attribute_node(xmlNode * a_node, const xmlChar *attribute_name);

extern xmlNodePtr
next_element(xmlNodePtr a_node, xmlChar *element_name);


extern BOOL_T
save_file(const xmlDocPtr doc_result, const xmlChar *result_str, const xmlNodePtr n);

extern BOOL_T
node_is_equal(xmlNodePtr node_a, xmlNodePtr node_b);

extern BOOL_T
set_dom(const xmlDocPtr doc, const xmlChar *str_name);

extern xmlDocPtr
get_dom(const xmlChar *str_name);

extern xmlChar *
get_dom_file(const xmlChar *str_name);

extern void
free_dom(void);

