/*
  cxproc - Configurable Xml PROCessor
  
  Copyright (C) 2006,2007,2008 by Alexander Tenbusch

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License 
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/


/* 
   common header

*/

#if 0
#define printf_log fprintf(stderr,"%s:%i\n",__FILE__,__LINE__);_printf__log
#else
#define printf_log _printf__log
#endif

/****************************************************************************

   Declaration of public functions (prototypes)
*/

extern xmlChar *
str_replace(xmlChar *haystack, xmlChar *needle, xmlChar *replace);

extern void
printf_exit(BOOL_T flag, int exit_code, char *fmt, ...);

extern void
set_level_log(int level);

extern void
_printf__log(int level, char *fmt, ...);

extern void
exit_debug(void);

extern void
set_readonly(BOOL_T mode);

extern BOOL_T
isreadonly(void);

extern time_t system_zeit;

